Skip to main content
GET
/
attributes
/
{name}
Get Attribute
curl --request GET \
  --url https://use.hoop.dev/api/attributes/{name}
import requests

url = "https://use.hoop.dev/api/attributes/{name}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://use.hoop.dev/api/attributes/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "access_control_group_names": [
    "engineering",
    "sre"
  ],
  "access_request_rule_names": [
    "rule1",
    "rule2"
  ],
  "connection_names": [
    "pgdemo",
    "mysql-prod"
  ],
  "created_at": "2024-07-25T15:56:35.317601Z",
  "datamasking_rule_names": [
    "rule1",
    "rule2"
  ],
  "description": "Blocks high-risk SQL commands",
  "guardrail_rule_names": [
    "rule1",
    "rule2"
  ],
  "id": "15B5A2FD-0706-4A47-B1CF-B93CCFC5B3D7",
  "name": "default-session-attribute",
  "org_id": "37EEBC20-D8DF-416B-8AC2-01B6EB456318"
}
{
"message": "the error description"
}
{
"message": "the error description"
}

Path Parameters

name
string
required

Name of the attribute

Response

OK

access_control_group_names
string[]

Access control group names associated with this attribute

Example:
["engineering", "sre"]
access_request_rule_names
string[]

Access request rule names associated with this attribute

Example:
["rule1", "rule2"]
connection_names
string[]

Connection names associated with this attribute

Example:
["pgdemo", "mysql-prod"]
created_at
string
read-only

The time the resource was created

Example:

"2024-07-25T15:56:35.317601Z"

datamasking_rule_names
string[]

Datamasking rule names associated with this attribute

Example:
["rule1", "rule2"]
description
string

The description of the attribute

Example:

"Blocks high-risk SQL commands"

guardrail_rule_names
string[]

Guardrail rule names associated with this attribute

Example:
["rule1", "rule2"]
id
string<uuid>
read-only

The resource identifier

Example:

"15B5A2FD-0706-4A47-B1CF-B93CCFC5B3D7"

name
string

The name of the attribute

Example:

"default-session-attribute"

org_id
string<uuid>
read-only

Organization ID that owns this attribute

Example:

"37EEBC20-D8DF-416B-8AC2-01B6EB456318"